# mongoc_cursor_set_max_await_time_ms()

## Synopsis

    void
    mongoc_cursor_set_max_await_time_ms (mongoc_cursor_t *cursor,
                                         uint32_t         max_await_time_ms);

## Parameters

cursor | A mongoc_cursor_t.
max_await_time_ms | A timeout in milliseconds.

## Description

The maximum amount of time for the server to wait on new documents to satisfy a tailable cursor query. Only applies if the cursor is created from mongoc_collection_find with the query flags MONGOC_QUERY_TAILABLE_CURSOR and MONGOC_QUERY_AWAIT_DATA, and the server is MongoDB 3.2 or later. See the documentation for maxTimeMS and the "getMore" command.

The max_await_time_ms cannot be changed after the first call to mongoc_cursor_next.

## See Also

Tailable Cursors.